org.apache.olingo.odata2.api.ep.callback

## Class WriteCallbackContext

- java.lang.Object
- - org.apache.olingo.odata2.api.ep.callback.WriteCallbackContext

- Direct Known Subclasses:
    WriteEntryCallbackContext, WriteFeedCallbackContext

      public abstract class WriteCallbackContext
      extends Object

  Wrapper for `WriteEntryCallbackContext` and `WriteFeedCallbackContext`.
  Do not implement this interface or derive from class.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WriteCallbackContext()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,Object>` | `extractKeyFromEntryData()`
    `ExpandSelectTreeNode` | `getCurrentExpandSelectTreeNode()` Current means the node pointing to the target entity set
    `EntityProviderWriteProperties` | `getCurrentWriteProperties()` EntityProviderWriteProperties which were set by outer producer or `null` if not supported.
    `Map<String,Object>` | `getEntryData()` Source entry data which was just serialized.
    `EdmNavigationProperty` | `getNavigationProperty()` Navigation property which is contained in the expand clause.
    `EdmEntitySet` | `getSourceEntitySet()` Returns entity set which contains an entry that should be expanded
    `void` | `setCurrentExpandSelectTreeNode(ExpandSelectTreeNode currentNode)` Do Not Call This Method!
    `void` | `setCurrentWriteProperties(EntityProviderWriteProperties currentWriteProperties)` EntityProviderWriteProperties of outer producer.
    `void` | `setEntryData(Map<String,Object> entryData)` Do Not Call This Method!
    `void` | `setNavigationProperty(EdmNavigationProperty navigationProperty)` Do Not Call This Method!
    `void` | `setSourceEntitySet(EdmEntitySet entitySet)` Do Not Call This Method!

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WriteCallbackContext

          public WriteCallbackContext()

  - ### Method Detail

    - #### getCurrentExpandSelectTreeNode

          public ExpandSelectTreeNode getCurrentExpandSelectTreeNode()

      Current means the node pointing to the target entity set
      Returns:
        the current node of the expand select tree

    - #### setCurrentExpandSelectTreeNode

          public void setCurrentExpandSelectTreeNode(ExpandSelectTreeNode currentNode)

      Do Not Call This Method!
      Parameters:
        `currentNode` -

    - #### getSourceEntitySet

          public EdmEntitySet getSourceEntitySet()

      Returns entity set which contains an entry that should be expanded
      Returns:
        source entity set

    - #### setSourceEntitySet

          public void setSourceEntitySet(EdmEntitySet entitySet)

      Do Not Call This Method!
      Parameters:
        `entitySet` -

    - #### getNavigationProperty

          public EdmNavigationProperty getNavigationProperty()

      Navigation property which is contained in the expand clause.
      Returns:
        navigation property pointing to the entity which has to be expanded.

    - #### setNavigationProperty

          public void setNavigationProperty(EdmNavigationProperty navigationProperty)

      Do Not Call This Method!
      Parameters:
        `navigationProperty` -

    - #### getEntryData

          public Map<String,Object> getEntryData()

      Source entry data which was just serialized.
      Returns:
        data of the source entry

    - #### setEntryData

          public void setEntryData(Map<String,Object> entryData)

      Do Not Call This Method!
      Parameters:
        `entryData` -

    - #### extractKeyFromEntryData

          public Map<String,Object> extractKeyFromEntryData()
                                                     throws EntityProviderException

      Returns:
        the key of the current entry as a Map
      Throws:
        `EntityProviderException` - in case of an `EdmException`

    - #### setCurrentWriteProperties

          public void setCurrentWriteProperties(EntityProviderWriteProperties currentWriteProperties)

      EntityProviderWriteProperties of outer producer.
      Parameters:
        `currentWriteProperties` - of outer producer.

    - #### getCurrentWriteProperties

          public EntityProviderWriteProperties getCurrentWriteProperties()

      EntityProviderWriteProperties which were set by outer producer or `null` if not supported.
      Returns:
        set by outer producer or `null` if not supported.

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.